Bug 617334 - aiff read bug when mark chunk present
aiff read bug when mark chunk present
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: sox (Show other bugs)
5.5
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Frantisek Kluknavsky
BaseOS QE - Apps
: Patch, ZStream
Depends On:
Blocks: 651404
  Show dependency treegraph
 
Reported: 2010-07-22 15:17 EDT by Jeff Bastian
Modified: 2013-09-23 07:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, an attempt to convert an Audio Interchange File Format (AIFF) file that contained the MARK chunk may have failed with the following error: sox: Failed reading file.aiff: AIFF: no sound data on input file With this update, the underlying source code has been modified to target this issue, and such files are now converted as expected.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 07:13:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample aiff file (60.18 KB, audio/x-aiff)
2010-07-22 15:17 EDT, Jeff Bastian
no flags Details
upstream patch to fix aiff read bug (683 bytes, patch)
2010-07-22 15:18 EDT, Jeff Bastian
no flags Details | Diff

  None (edit)
Description Jeff Bastian 2010-07-22 15:17:29 EDT
Created attachment 433790 [details]
sample aiff file

Description of problem:
This is upstream bug
http://sourceforge.net/tracker/?func=detail&aid=1627972&group_id=10706&atid=110706

sox prints an error when trying to read aiff files:
$ sox aiff.64.aiff aiff.64.wav
sox: Failed reading aiff.64.aiff: AIFF: no sound data on input file


Version-Release number of selected component (if applicable):
sox-12.18.1-1

How reproducible:
every time

Steps to Reproduce:
1. sox aiff.64.aiff aiff.64.wav
  
Actual results:
sox: Failed reading aiff.64.aiff: AIFF: no sound data on input file

Expected results:
successful conversion to a wav file (or other format)

Additional info:
Comment 1 Jeff Bastian 2010-07-22 15:18:28 EDT
Created attachment 433791 [details]
upstream patch to fix aiff read bug
Comment 10 Jaromir Hradilek 2010-11-10 11:26:05 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, an attempt to convert an Audio Interchange File Format (AIFF) file that contained the MARK chunk may have failed with the following error:

  sox: Failed reading file.aiff: AIFF: no sound data on input file

With this update, the underlying source code has been modified to target this issue, and such files are now converted as expected.

Note You need to log in before you can comment on or make changes to this bug.